/*
 * frm_uart.h
 *
 *  Created on: 21 авг. 2023 г.
 *      Author: seklyuts
 */

#ifndef SRC_FRM_UART_H_
#define SRC_FRM_UART_H_

#include "PE_freemaster_56F8xxx.h"


void uart_init_uart2(uint32_t Baudrate);
void uart_init_uart1(uint32_t Baudrate);

void FMSTR_SCI_PUTCHAR(char _data);
char FMSTR_SCI_GETCHAR(void);
void FMSTR_SCI_RE(void);
void FMSTR_SCI_RD(void);
void FMSTR_SCI_TE(void);
void FMSTR_SCI_TD(void);
FMSTR_SCISR FMSTR_SCI_RDCLRSR(void);
//void FMSTR_InitSerial(void) ;
void FRMUartInit(void);

uint16_t FMSTR_is_enable(void);
void FMSTR_enable_clr(void);
void FMSTR_enable_set(void);

#endif /* SRC_FRM_UART_H_ */
